#!/bin/sh

CUR_DIR=`pwd`
binDir=`dirname ${0}`

cd "${binDir}"
binDir=`pwd`

REPLACE_WAS_HOME=`dirname "${binDir}"`
REPLACE_WAS_HOME=`dirname "${REPLACE_WAS_HOME}"`
. "${REPLACE_WAS_HOME}"/bin/setupCmdLine.sh

case ${COMMAND_SDK} in
	*32) PMT_ECLIPSE_DIR="eclipse32";;
	*64) PMT_ECLIPSE_DIR="eclipse64";;
esac

cd "${binDir}"

if [ "$1" = "" ]; then
	"${WAS_HOME}/bin/ProfileManagement/${PMT_ECLIPSE_DIR}/eclipse" -vm "${JAVA_HOME}/jre/bin/javaw" "$@" -configuration "${WAS_HOME}/bin/bpm_migration/configuration" -vmargs -Xbootclasspath/a:"${WAS_HOME}/lib/bootstrap.jar" -Djava.endorsed.dirs="${WAS_HOME}/endorsed_apis":"${JAVA_HOME}/jre/lib/endorsed" -Declipse.refreshBundles=true -DJAVA_NATIVE_LIB_DIR="${JAVA_NATIVE_LIB_DIR}" -DWAS_HOME="${WAS_HOME}" -Dwas.install.root="${WAS_HOME}"
	exit
fi

if [ "$1" = "-trace" ]; then
   if [ $# = 1 ]; then
      echo "Value missing for parameter -trace using BPMMigrate"
      echo "Usage: BPMMigrate [options]"
      echo "where possible options are:"
      echo "-trace <fine|finer|finest|all>"
      echo "-traceFile <trace file name>"
      exit
   fi

   if [ "$2" != "fine" -a "$2" != "finest" -a "$2" != "finer" -a "$2" != "all" ]; then
      echo "Invalid Value "$2" for parameter -trace using BPMMigrate"
      echo "Usage: BPMMigrate [options]"
      echo "where possible options are:"
      echo "-trace <fine|finer|finest|all>"
      echo "-traceFile <trace file name>"
      exit
   fi

   if [ "$3" != "-traceFile" ]; then
      echo "Parameter -traceFile not specified using BPMMigrate"
      echo "Usage: BPMMigrate [options]"
      echo "where possible options are:"
      echo "-trace <fine|finer|finest|all>"
      echo "-traceFile <trace file name>"
      exit
   fi
   if [ $# == 3 ]; then
      echo "Value missing for parameter -traceFile using BPMMigrate"
      echo "Usage: BPMMigrate [options]"
      echo "where possible options are:"
      echo "-trace <fine|finer|finest|all>"
      echo "-traceFile <trace file name>"
      exit
   fi

     #echo "$binDir"/Migration "$@" -vm "$binDir"/../../java/jre/bin/java -clean -dev "$binDir/../../lib/bootstrap.jar" -vmargs -Dtrace=$2 -DtraceFile="\"$4\""

   "${WAS_HOME}/bin/ProfileManagement/${PMT_ECLIPSE_DIR}/eclipse" -vm "${JAVA_HOME}/jre/bin/javaw" "$@" -configuration "${WAS_HOME}/bin/bpm_migration/configuration" -vmargs -Xbootclasspath/a:"${WAS_HOME}/lib/bootstrap.jar" -Djava.endorsed.dirs="${WAS_HOME}/endorsed_apis":"${JAVA_HOME}/jre/lib/endorsed" -Declipse.refreshBundles=true -DJAVA_NATIVE_LIB_DIR="${JAVA_NATIVE_LIB_DIR}" -DWAS_HOME="${WAS_HOME}" -Dwas.install.root="${WAS_HOME}" -Dtrace=$2 -DtraceFile="$4"

fi

if [ "$1" = "-traceFile" ]; then
   if [ $# = 1 ]; then
      echo "Value missing for parameter -traceFile using BPMMigrate"
      echo "Usage: BPMMigrate [options]"
      echo "where possible options are:"
      echo "-trace <fine|finer|finest|all>"
      echo "-traceFile <trace file name>"
      exit
   fi
   if [ "$3" != "-trace" ]; then
      echo "Parameter -trace not specified using BPMMigrate"
      echo "Usage: BPMMigrate [options]"
      echo "where possible options are:"
      echo "-trace <fine|finer|finest|all>"
      echo "-traceFile <trace file name>"
      exit
   fi
   if [ $# = 3 ]; then
      echo "Value missing for parameter -trace using BPMMigrate"
      echo "Usage: BPMMigrate [options]"
      echo "where possible options are:"
      echo "-trace <fine|finer|finest|all>"
      echo "-traceFile <trace file name>"
      exit
   fi

   if [ "$4" != "fine" -a "$4" != "finest" -a "$4" != "finer" -a "$4" != "all" ]; then
      echo "Invalid Value "$4" for parameter -trace using BPMMigrate"
      echo "Usage: BPMMigrate [options]"
      echo "where possible options are:"
      echo "-trace <fine|finer|finest|all>"
      echo "-traceFile <trace file name>"
      exit
   fi

    #echo "$binDir"/Migration "$@" -vm "$binDir"/../../java/jre/bin/java -clean -dev "$binDir/../../lib/bootstrap.jar" -vmargs -DtraceFile="\"$2\"" -Dtrace=$4

   "${WAS_HOME}/bin/ProfileManagement/${PMT_ECLIPSE_DIR}/eclipse" -vm "${JAVA_HOME}/jre/bin/javaw" "$@" -configuration "${WAS_HOME}/bin/bpm_migration/configuration" -vmargs -Xbootclasspath/a:"${WAS_HOME}/lib/bootstrap.jar" -Djava.endorsed.dirs="${WAS_HOME}/endorsed_apis":"${JAVA_HOME}/jre/lib/endorsed" -Declipse.refreshBundles=true -DJAVA_NATIVE_LIB_DIR="${JAVA_NATIVE_LIB_DIR}" -DWAS_HOME="${WAS_HOME}" -Dwas.install.root="${WAS_HOME}" -DtraceFile="$2" -Dtrace=$4


fi

if [ "$1" != "-trace" -a "$1" != "-traceFile" ]; then
      echo "Invalid parameter $1 passed using BPMMigrate"
      echo "Usage: BPMMigrate [options]"
      echo "where possible options are:"
      echo "-trace <fine|finer|finest|all>"
      echo "-traceFile <trace file name>"
      exit
fi

